<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");

$documentRoot = realpath(__DIR__ . '/../..');
// Define la ruta al directorio de imágenes
$uploadDirectory = $documentRoot . "/assets/cstvideo/";

// Establecer el límite de tamaño de archivo en 1024 KB (1 MB)
$maxFileSize = 10 * 1024 * 1024;  // 1 MB en bytes

// Verifica si se ha enviado un archivo
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_FILES['file'])) {
    $file = $_FILES['file'];
    $uploadPath = $uploadDirectory . basename($file['name']);

    // Verificar si el archivo se ha subido sin errores
    if ($file['error'] == UPLOAD_ERR_OK) {

        // Verificar el tamaño del archivo
        if ($file['size'] > $maxFileSize) {
            echo "El archivo es demasiado grande. El tamaño máximo permitido es 10024 KB.";
        } else {
            // Mover el archivo a la ubicación deseada
            if (move_uploaded_file($file['tmp_name'], $uploadPath)) {
                echo "El archivo " . htmlspecialchars(basename($file['name'])) . " ha sido subido exitosamente.";
            } else {
                echo "Error al mover el archivo subido.";
            }
        }
    } else {
        echo "Error al subir el archivo: " . $file['error'];
    }
} else {
    echo "No se ha subido ningún archivo.";
}
?>
